import request from '@/utils/request'

// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/dept/deptTree',
    method: 'get'
  })
}

// 查询文件
export function getFile(code) {
  return request({
    url: '/file/file/getFile/' + code,
    method: 'get'
  })
}

// 查询机构下拉树结构
export function deptTreeList() {
  return request({
    url: '/system/dept/sysDeptTree',
    method: 'get'
  })
}


export function upload(data,type) {
  return request({
    url: '/file/file/upload',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    data: data,
    params:{
      busType: type
    }
  })
}
